Voter ID Verification

Boost the integrity of your customer verification process by leveraging Instantpay's Voter ID Verification API solution, which seamlessly verifies Voter ID details using the EPIC Number from Election Commission data.

Ensure compliance with regulatory standards, streamline verification processes, and fortify the security of user accounts and transactions. Automate Voter ID verification with Instantpay's API solution to enhance the reliability of your database—a pivotal component in a comprehensive identity verification toolkit.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code is "1" (Fixed)MY
X-Ipay-Client-IdStringUnique Client Id Provided by InstantpayMY
X-Ipay-Client-SecretStringUnique Client Secret Provided by InstantpayMY
X-Ipay-Endpoint-IpStringEnd customer IP AddressMY

Request Parameters

Parameter NameTypeRequirementDescription
voterIdStringMandatoryVoter Id EPIC Number
latitudeStringMandatoryEnd Customer Latitude.
longitudeStringMandatoryEnd Customer Longitude
externalRefStringMandatoryYour Unique Transaction id
consentStringMandatoryConsent should be
accepted by
customer

Sample Request

curl --location 'https://api.instantpay.in/identity/verifyVoterId' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data '{
    "voterId":"XXXXXXX78",
    "consent":"Y",
    "latitude":0.99,
    "longitude":38,
    "externalRef":"jdnjdi89"
}'
POST /identity/verifyVoterId HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549Gzt+5IEcETrD5Yx+Q=
X-Ipay-Client-Secret: 679db35f926b8d0240a8c0d28729528ee8e6d5effa5fa0b20c04454004d2d825
X-Ipay-Endpoint-Ip: 14.142.186.142
Content-Type: application/json
Content-Length: 120

{
    "voterId":"XXXXXXX78",
    "consent":"Y",
    "latitude":0.99,
    "longitude":38,
    "externalRef":"jdnjdi89"
}

Response Parameters

Parameter NameTypeDescription
statuscodeStringInstantpay Status Code
actcodeStringAction Code
statusArrayStatus message
dataStringResponse Data(if Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id(if transaction otherwise it is null)
environmentStringLive/Sandbox
internalCodeStringIt will be null

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "VoterCardDetail": {
            "address": {
                "districtCode": 52,
                "districtName": "NIWARI",
                "districtNameVernacular": "निवाडी",
                "state": "Madhya Pradesh",
                "stateCode": "S12"
            },
            "userAge": *5,
            "assemblyConstituencyName": "PRITHVIPUR",
            "assemblyConstituencyNameVernacular": "पृथ्वीपुर",
            "assemblyConstituencyNumber": 4*,
            "constituencyPartName": "PRITHVIPUR ",
            "constituencyPartNameVernacular": "पृथ्वीपुर",
            "constituencyPartNumber": **,
            "constituencySectionNumber": 1,
            "epicNumber": "XXXXXXX78",
            "userGender": "M",
            "parliamentaryConstituencyName": "XXXXXXXX",
            "parliamentaryConstituencyNameVernacular": "XXXXXX",
            "parliamentaryConstituencyNumber": "*",
            "pollingBooth": {
                "latLong": "XX.21016616,XX.75255656",
                "name": "Sample Name",
                "nameVernacular": "",
                "number":**
            },
            "relativeNameEnglish": "XXXXRA",
            "relativeNameVernacular": "XXजेंद्र",
            "relativeRelation": "FTHR",
            "serialNumberApplicablePart": **0,
            "status": "N",
            "userNameEnglish": "XXXit",
            "userNameVernacular": "अXXXित",
            "voterLastUpdatedDate": "2023-09-14T12:16:59.664+00:00"
        },
        "pool": {
            "referenceId": "1231005102932ZDVQP",
            "openingBalance": "47.77",
            "paymentAmount": "0.00",
            "mode": "DR",
            "closingBalance": "47.77"
        }
    },
    "timestamp": "2023-10-05 10:29:32",
    "ipay_uuid": "h0069a4b4c88-bc28-498b-9b14-1a126f47b691-0rg0hEqKrhr5",
    "orderid": "1231005102932ZDVQP",
    "environment": "LIVE",
    "internalCode": null
}
📘

Consent Text :

I hereby give my consent and submit voluntarily at my own discretion, my Voter ID for the
purpose of establishing my identity on the portal. The Voter ID submitted herewith shall not be used for
any purpose other than mentioned, or as per the requirements of the law.

Body Params
string
string

End Customer Latitude.

string

End Customer Longitude.

string

Your Unique Transaction id

string
Headers
string
Defaults to 1

Auth Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json